Upstream information

CVE-2010-4818 at MITRE

Description

The GLX extension in X.Org xserver 1.7.7 allows remote authenticated users to cause a denial of service (server crash) and possibly execute arbitrary code via (1) a crafted request that triggers a client swap in glx/glxcmdsswap.c; or (2) a crafted length or (3) a negative value in the screen field in a request to glx/glxcmds.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 8.5
Vector AV:N/AC:M/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 648287 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libpciaccess0 >= 7.4_0.11.0-0.4.6.1
  • libpciaccess0-32bit >= 7.4_0.11.0-0.4.6.1
  • libpciaccess0-x86 >= 7.4_0.11.0-0.4.6.1
  • xorg-x11-Xvnc >= 7.4-27.40.50.1
  • xorg-x11-libs >= 7.4-8.26.32.1
  • xorg-x11-libs-32bit >= 7.4-8.26.32.1
  • xorg-x11-libs-x86 >= 7.4-8.26.32.1
  • xorg-x11-server >= 7.4-27.40.50.1
  • xorg-x11-server-extra >= 7.4-27.40.50.1
Patchnames:
slessp1-xorg-x11-server-libs
SUSE Linux Enterprise Server 11 SP2
  • xorg-x11-Xvnc >= 7.4-27.60.5
  • xorg-x11-server >= 7.4-27.60.5
  • xorg-x11-server-extra >= 7.4-27.60.5
SUSE Linux Enterprise Server 11 SP3
  • xorg-x11-Xvnc >= 7.4-27.81.7
  • xorg-x11-server >= 7.4-27.81.7
  • xorg-x11-server-extra >= 7.4-27.81.7
SUSE Linux Enterprise Server 11 SP4
  • xorg-x11-Xvnc >= 7.4-27.105.1
  • xorg-x11-server >= 7.4-27.105.1
  • xorg-x11-server-extra >= 7.4-27.105.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xorg-x11-server-sdk >= 7.4-27.105.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 xorg-x11 Released
SLED-10-SP4 xorg-x11 Released
SLES-10-SP3 xorg-x11 Released
SLES-10-SP4 xorg-x11 Released
SLES_LTSS-10-SP4 xorg-x11 Released